/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.hibernate.timers;

import java.util.List;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

/**
 The EJB for the ITimers interface

 @author Scott.Stark@jboss.org
 @version $Revision: 1.1 $
 */
public class TimersBean implements SessionBean
{
   private TimersFactory delegate;

   public void setSessionContext(SessionContext ctx)
   {
   }
   public void ejbRemove()
   {
   }
   public void ejbActivate()
   {
   }
   public void ejbPassivate()
   {
   }
   public void ejbCreate()
   {
      delegate = new TimersFactory();
   }

   public void persist(Timers transientInstance)
   {
      delegate.persist(transientInstance);
   }

   public void attachDirty(Timers instance)
   {
      delegate.attachDirty(instance);
   }

   public void attachClean(Timers instance)
   {
      delegate.attachClean(instance);
   }

   public void delete(Timers persistentInstance)
   {
      delegate.delete(persistentInstance);
   }

   public Timers merge(Timers detachedInstance)
   {
      return delegate.merge(detachedInstance);
   }

   public Timers findById(TimersID id)
   {
      return delegate.findById(id);
   }
   public List listTimers()
   {
      return delegate.listUsers();
   }
}
